#include <iostream>

using namespace std;

int main()
{
    int x1, y1;
    cin >> x1 >> y1;
    int x2, y2;
    cin >> x2 >> y2;

    int t = 0;

    if (x1 == x2 && y1 != y2)
    {
        cout << 2;
        t = 1;
    }
    if (y1 == y2 && x1 != x2)
    {
        cout << 2;
        t = 1;
    }
    if (t == 0)
    {
        if (abs(x2 - x1) == abs(y1 - y2))
        {
            cout << 1;
        }
        else cout << 0;
    }
}